# DataExchange
TKSTEP209
StepElement

# StepElement_HArray1OfHSequenceOfCurveElementPurposeMember Class Reference

`#include <StepElement_HArray1OfHSequenceOfCurveElementPurposeMember.hxx>`

## Public Member Functions

Standard_EXPORT | StepElement_HArray1OfHSequenceOfCurveElementPurposeMember (const Standard_Integer Low, const Standard_Integer Up)
Standard_EXPORT | StepElement_HArray1OfHSequenceOfCurveElementPurposeMember (const Standard_Integer Low, const Standard_Integer Up, const Handle(StepElement_HSequenceOfCurveElementPurposeMember)&V)
Standard_EXPORT void | Init (const Handle(StepElement_HSequenceOfCurveElementPurposeMember)&V)
Standard_Integer | Length () const
Standard_Integer | Lower () const
Standard_Integer | Upper () const
void | SetValue (const Standard_Integer Index, const Handle(StepElement_HSequenceOfCurveElementPurposeMember)&Value)
const Handle_StepElement_HSequenceOfCurveElementPurposeMember & | Value (const Standard_Integer Index) const
Handle_StepElement_HSequenceOfCurveElementPurposeMember & | ChangeValue (const Standard_Integer Index)
const StepElement_Array1OfHSequenceOfCurveElementPurposeMember & | Array1 () const
StepElement_Array1OfHSequenceOfCurveElementPurposeMember & | ChangeArray1 ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

StepElement_Array1OfHSequenceOfCurveElementPurposeMember | myArray

## Constructor & Destructor Documentation

Standard_EXPORT StepElement_HArray1OfHSequenceOfCurveElementPurposeMember::StepElement_HArray1OfHSequenceOfCurveElementPurposeMember | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up
| ) |

Standard_EXPORT StepElement_HArray1OfHSequenceOfCurveElementPurposeMember::StepElement_HArray1OfHSequenceOfCurveElementPurposeMember | ( | const Standard_Integer | Low,
|  | const Standard_Integer | Up,
|  | const Handle(StepElement_HSequenceOfCurveElementPurposeMember)& | V
| ) |

## Member Function Documentation

const StepElement_Array1OfHSequenceOfCurveElementPurposeMember& StepElement_HArray1OfHSequenceOfCurveElementPurposeMember::Array1 | ( |  | ) | const

StepElement_Array1OfHSequenceOfCurveElementPurposeMember& StepElement_HArray1OfHSequenceOfCurveElementPurposeMember::ChangeArray1 | ( |  | ) |

Handle_StepElement_HSequenceOfCurveElementPurposeMember& StepElement_HArray1OfHSequenceOfCurveElementPurposeMember::ChangeValue | ( | const Standard_Integer | Index | ) |

Standard_EXPORT const StepElement_HArray1OfHSequenceOfCurveElementPurposeMember::Handle | ( | Standard_Type |  | ) | const

Standard_EXPORT void StepElement_HArray1OfHSequenceOfCurveElementPurposeMember::Init | ( | const Handle(StepElement_HSequenceOfCurveElementPurposeMember)& | V | ) |

Standard_Integer StepElement_HArray1OfHSequenceOfCurveElementPurposeMember::Length | ( |  | ) | const

Standard_Integer StepElement_HArray1OfHSequenceOfCurveElementPurposeMember::Lower | ( |  | ) | const

void StepElement_HArray1OfHSequenceOfCurveElementPurposeMember::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(StepElement_HSequenceOfCurveElementPurposeMember)& | Value
| ) |

Standard_Integer StepElement_HArray1OfHSequenceOfCurveElementPurposeMember::Upper | ( |  | ) | const

const Handle_StepElement_HSequenceOfCurveElementPurposeMember& StepElement_HArray1OfHSequenceOfCurveElementPurposeMember::Value | ( | const Standard_Integer | Index | ) | const

## Field Documentation

StepElement_Array1OfHSequenceOfCurveElementPurposeMember StepElement_HArray1OfHSequenceOfCurveElementPurposeMember::myArray`[private]`

The documentation for this class was generated from the following file:

- StepElement_HArray1OfHSequenceOfCurveElementPurposeMember.hxx